## List Sessions **get** `/api/v1/chat` List all chat sessions for the current project. ### Query Parameters - `organization_id: optional string` - `page_size: optional number` - `page_token: optional string` - `project_id: optional string` ### Cookie Parameters - `session: optional string` ### Returns - `items: array of object { last_updated_at, session_id, generated_title, 2 more }` Chat sessions for the current page. - `last_updated_at: string` ISO-format timestamp showing when the session was last updated. - `session_id: string` Unique session identifier. - `generated_title: optional string` Auto-generated title derived from the first user message. - `index_ids: optional array of string` Indexes this session is bound to. Null on unbound sessions. - `job_metadata: optional object { duration_ms, error, export_config_ids, 4 more }` Token usage and status from the most recent run. Null if the session has not been run yet. - `duration_ms: optional number` - `error: optional string` - `export_config_ids: optional array of string` - `is_error: optional boolean` - `total_input_tokens: optional number` - `total_output_tokens: optional number` - `turns: optional number` - `next_page_token: optional string` Opaque token to retrieve the next page. Omitted when there are no further pages. ### Example ```http curl https://api.cloud.llamaindex.ai/api/v1/chat \ -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY" ``` #### Response ```json { "items": [ { "last_updated_at": "2026-04-22T12:34:41.342245", "session_id": "ses-abc123", "generated_title": "What were the main findings in Q3?...", "index_ids": [ "idx-abc123", "idx-def456" ], "job_metadata": { "duration_ms": 0, "error": "error", "export_config_ids": [ "string" ], "is_error": true, "total_input_tokens": 0, "total_output_tokens": 0, "turns": 0 } } ], "next_page_token": "next_page_token" } ```